jQuery(function ($) {
	    post_id = 0;
	    shortform = 1;

	    //show upload form if no image output
	    if ($('#my_image_output').html().length < 5) {
	        $('#my_media_upload_form').show();
	    }

	    //add progress bar to drag-drop element
	    if ($('.drag-drop-inside .percent').length > 0) $('.drag-drop-inside').add('div').addClass('percent');

	    //custom upload progress method
  		//based on uploadProgress() in /wp-includes/plupload/handels.dev.js
	    if (window.uploadProgress) {

	        window.uploadProgress = function uploadProgress(up, file) {

	            //hide buttons and text
	            $('.drag-drop-inside p').hide();

	            //show progress percent
	            var item = $('.drag-drop-inside');
	            $('.percent', item).html(file.percent + '%');
	        }


	    }



	    //custom removethumbnail method
		//based on WPRemoveThumbnail() in /wp-includes/plupload/handels.dev.js
	    if (window.WPRemoveThumbnail) {

	        window.WPRemoveThumbnail = function (nonce) {
	            $.post(ajaxurl, {
	                action: "set-post-thumbnail",
	                post_id: $('#post_ID').val(),
	                thumbnail_id: -1,
	                _ajax_nonce: nonce,
	                cookie: encodeURIComponent(document.cookie)
	            }, function (str) {
	                if (str == '0') {
	                    alert(setPostThumbnailL10n.error);
	                } else {
	                    //remove image output
	                    $('#my_image_output').html('');

	                    //show drag drop text and buttons
	                    $('.drag-drop-inside p').show();

	                    //show media form
	                    $('#my_media_upload_form').show();
	                }
	            });
	        };
	    }


	    //custom uploaded method
		//based on uploadSuccess in /wp-includes/plupload/handels.dev.js
	    if (window.uploadSuccess) {

	        window.uploadSuccess = function (fileObj, serverData) {

				//hide drag drop form
	            $('#my_media_upload_form').hide();

	            // on success serverData should be numeric, fix bug in html4 runtime returning the serverData wrapped in a <pre> tag
	            serverData = serverData.replace(/^<pre>(\d+)<\/pre>$/, '$1');

	            // if async-upload returned an error message, place it in the media item div and return
	            if (serverData.match('media-upload-error')) {
	                alert(serverData);
	                return;
	            }

	            //set post thumbnail
	            $.post(ajaxurl, {
	                action: "set-post-thumbnail",
	                post_id: $('#post_ID').val(),
	                thumbnail_id: serverData,
	                _ajax_nonce: $('#set_post_thumbnail_ajax_nonce').val(),
	                cookie: encodeURIComponent(document.cookie)
	            }, function (str) {
	                if (str == '0') {
	                    alert(setPostThumbnailL10n.error);
	                } else {
	                    if (str == '-1') {
	                        alert('error: could not set post thumbnail');
	                    } else {
	                        $('#my_image_output').html(str);
	                    }

	                }
	            });
	        } //end function
	    } //end if


	});
